View Issue Details

IDProjectCategoryView StatusLast Update
0000003QElectroTechElement Editorpublic2008-05-26 20:02
Reporterxavier Assigned Toxavier  
PrioritynormalSeveritymajorReproducibilitysometimes
Status closedResolutionfixed 
PlatformX11OSGNU/LinuxOS Version*
Product Version0.1b 
Summary0000003: Segfault dans l'éditeur d'éléments lors de l'action Fichier > Enregistrer sous
DescriptionDans des conditions indéfinies, dans l'éditeur d'éléments, fichier > enregistrer sous provoque une segfault.
Additional InformationCe bug pourrait être un bug dans Qt et donc remonter à Trolltech.

Assert manqué lors du crash :
ASSERT: "realRow >= 0" in file dialogs/qfilesystemmodel.cpp, line 327

Backtrace (inutile hélas) :
Core was generated by `qelectrotech'.
Program terminated with signal 6, Aborted.
#0 0xffffe410 in __kernel_vsyscall ()
(gdb) bt
#0 0xffffe410 in __kernel_vsyscall ()
0000001 0xb7353875 in raise () from /lib/tls/i686/cmov/libc.so.6
0000002 0xb7355201 in abort () from /lib/tls/i686/cmov/libc.so.6
0000003 0xb75e801d in qt_message_output () from /usr/lib/libQtCore.so.4
0000004 0xb75e80a1 in qFatal () from /usr/lib/libQtCore.so.4
0000005 0xb75e820d in qt_assert () from /usr/lib/libQtCore.so.4
0000006 0xb7cf0248 in ?? () from /usr/lib/libQtGui.so.4
0000007 0xb7e559a8 in ?? () from /usr/lib/libQtGui.so.4
0000008 0xb7e558ed in ?? () from /usr/lib/libQtGui.so.4
0000009 0x00000147 in ?? ()
0000010 0x00000001 in ?? ()
0000011 0xb7cf5308 in ?? () from /usr/lib/libQtGui.so.4
0000012 0xbfe6a1c8 in ?? ()
0000013 0x00000001 in ?? ()
0000014 0x08170ee8 in ?? ()
0000015 0xbfe6a1d8 in ?? ()
0000016 0x08ad9ea8 in ?? ()
0000017 0x08c57c00 in ?? ()
0000018 0x08bf18c0 in ?? ()
0000019 0x08c1ca10 in ?? ()
0000020 0xffffffff in ?? ()
0000021 0x08188bec in ?? ()
0000022 0xb7ec12d8 in ?? () from /usr/lib/libQtGui.so.4
---Type <return> to continue, or q <return> to quit---
0000023 0xbfe6a1f8 in ?? ()
0000024 0xb7bd5972 in ?? () from /usr/lib/libQtGui.so.4
0000025 0xbfe6a23c in ?? ()
0000026 0x08cbd798 in ?? ()
0000027 0xbfe6a21c in ?? ()
0000028 0xbfe6a1f8 in ?? ()
0000029 0x00ceeb8d in ?? ()
0000030 0xbfe6a23c in ?? ()
0000031 0xbfe6a258 in ?? ()
0000032 0xb7ced08b in ?? () from /usr/lib/libQtGui.so.4
0000033 0xbfe6a23c in ?? ()
0000034 0xbfe6a21c in ?? ()
0000035 0xbfe6a228 in ?? ()
0000036 0x005eb601 in ?? ()
0000037 0x08188bec in ?? ()
0000038 0xb7ec12d8 in ?? () from /usr/lib/libQtGui.so.4
0000039 0xbfe6a258 in ?? ()
0000040 0x00000000 in ?? ()

Il semblerait que ce soit un bug Qt plus facilement reproduisible sous Ubuntu+Gnome, caractérisé par un assert manqué ; une compilation en mode release permet de sauter l'assert mais on tombe alors sur une segfault (là encore, le backtrace n'est pas pertinent). Le crash ne semble se produire que dans la collection utilisateur, c'est-à-dire dans un dossier caché (~/.qet/elements)

La reproductibilité reste relativement aléatoire et laisse penser à une histoire de threads.
TagsNo tags attached.

Activities

xavier

2008-02-04 21:07

reporter   ~0000002

D'après ce thread sur les newsgroups Trolltech :
http://lists.trolltech.com/qt-interest/2007-12/msg00700.html
http://lists.trolltech.com/qt-interest/2008-01/thread00265-0.html

... il s'agirait bel et bien d'un bug Qt, corrigé pour la version 4.3.4.

Toutefois, d'après ce post :
http://lists.trolltech.com/qt-interest/2008-02/thread00047-0.html
...le bug ne serait peut-être pas corrigé.

Wait & see.

xavier

2008-02-28 21:04

reporter   ~0000004

Last edited: 2008-02-28 21:10

D'après le Changelog Qt 4.3.3 -> 4.3.4 : http://trolltech.com/developer/notes/changes/changes-4.3.4/
- QFileDialog
    * [193483] Fixed crash when hidden directory is set as the current directory
      and hidden directories are not set to be visible.

Installer Qt >= 4.3.4 résout le problème.
Ce bug est donc désormais considéré comme réglé et clos.

Issue History

Date Modified Username Field Change
2008-01-26 20:50 xavier New Issue
2008-01-26 20:50 xavier Status new => assigned
2008-01-26 20:50 xavier Assigned To => xavier
2008-01-27 14:09 xavier Additional Information Updated
2008-01-27 14:56 xavier Additional Information Updated
2008-01-27 15:05 xavier Additional Information Updated
2008-02-04 21:07 xavier Note Added: 0000002
2008-02-04 21:09 xavier Status assigned => confirmed
2008-02-28 21:04 xavier Note Added: 0000004
2008-02-28 21:05 xavier Note Edited: 0000004
2008-02-28 21:05 xavier Resolution open => fixed
2008-02-28 21:05 xavier Status confirmed => resolved
2008-02-28 21:10 xavier Note Edited: 0000004
2008-05-26 20:02 xavier Status resolved => closed
2013-06-09 14:06 scorpio810 Category Éditeur d'éléments => Symbol editor
2013-06-09 14:11 scorpio810 Category Symbol editor => Element Editor